<?php
ini_set('display_errors', 1);
require_once './Control/ControlFoto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
$controlFoto = new ControlFoto();
if ($acao == 'inserir')
{
	$galeria = new Galeria();
} else
{
	$galeria = $controlFoto->pegarUmGaleria($pk);
}
if ($acao != 'excluir')
{
    $galeria->lang = $lang;
    $galeria->sNome(stripslashes($txtNome));
    $galeria->sDescricao(stripslashes($txtDescricao));
    $galeria->setHabilitado(stripslashes($cbHabilitado));
    //Definir Foto
    if ((isset($upFoto)) and ($upFoto != 'null'))
    {   
        Utilidades::deletarAquivo($galeria->getFoto());
        Utilidades::deletarAquivo($galeria->getFotoq());
        $nomeArquivo = md5(uniqid(time())) . $upFoto[0];
        copy('./upload_temp/' . $upFoto[0], './fotos/galeria/' . $nomeArquivo);
        copy('./upload_temp/thumbnails/' . $upFoto[0], './fotos/galeria/thumbnails/' . $nomeArquivo);
        $galeria->setFotoq('./fotos/galeria/' . $nomeArquivo);
        $galeria->setFoto('./fotos/galeria/thumbnails/' . $nomeArquivo);
        Utilidades::deletarAquivo('./upload_temp/' . $upFoto[0]);
        Utilidades::deletarAquivo('./upload_temp/thumbnails/' . $upFoto[0]);

    }
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlFoto->salvarGaleria($galeria);
                    break;
            case 'inserir':
                    $retorno = $controlFoto->salvarGaleria($galeria);
                    $acao = 'alterar';
                    $galeria->find(true);
                    $pk = $galeria->getGaleriaid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#dados\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlFoto->excluirGaleria($galeria);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#galeriaID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}
?>